

A u64 is not an unsigned long long.  On power4 it is `long', and printk warns.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/bitmap.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/md/bitmap.c~md-printk-fix drivers/md/bitmap.c
--- 25/drivers/md/bitmap.c~md-printk-fix	2005-03-01 04:46:40.000000000 -0700
+++ 25-akpm/drivers/md/bitmap.c	2005-03-01 04:46:53.000000000 -0700
@@ -377,7 +377,8 @@ void bitmap_print_sb(struct bitmap *bitm
 	printk(KERN_DEBUG "       state: %08x\n", le32_to_cpu(sb->state));
 	printk(KERN_DEBUG "   chunksize: %d B\n", le32_to_cpu(sb->chunksize));
 	printk(KERN_DEBUG "daemon sleep: %ds\n", le32_to_cpu(sb->daemon_sleep));
-	printk(KERN_DEBUG "   sync size: %llu KB\n", le64_to_cpu(sb->sync_size));
+	printk(KERN_DEBUG "   sync size: %llu KB\n",
+			(unsigned long long)le64_to_cpu(sb->sync_size));
 	kunmap(bitmap->sb_page);
 }
 
_
